{ :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
  :: QuickReport 3.0 for Delphi 3 or newer                   ::
  ::                                                         ::
  :: Demo to show how to print a range of pages for reports  ::
  :: that have stretching controls on them                   ::
  ::                                                         ::
  :: Copyright (c) 1999 QuSoft AS                            ::
  :: All Rights Reserved                                     ::
  ::                                                         ::
  :: web: http://www.qusoft.no   fax: +47 22 41 74 91        ::
  ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: }
unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  qrprntr, quickrpt, StdCtrls, ExtCtrls;

type
  // To have a custom preview be used as the default preview,
  // you first define an interface class.  You will provide two
  // functions for this class, Show, and ShowModal.

  TQRQRPPreviewInterface = class(TQRPreviewInterface)
  public
    function Show(AQRPrinter : TQRPrinter) : TWinControl; override;
    function ShowModal(AQRPrinter : TQRPrinter): TWinControl; override;
  end;

  TfrmMain = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Image2: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label5: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses rpt1, prev2_32;

{$R *.DFM}

function TQRQRPPreviewInterface.Show(AQRPrinter : TQRPrinter) : TWinControl;
begin
  Result := TfrmNetScapePreview.CreatePreview(Application, AQRPrinter);

  TfrmNetScapePreview(Result).Show;
end;

function TQRQRPPreviewInterface.ShowModal(AQRPrinter : TQRPrinter) : TWinControl;
begin
  Result := TfrmNetScapePreview.CreatePreview(Application, AQRPrinter);

  TfrmNetScapePreview(Result).ShowModal;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  // Call RegisterPreviewClass to specify which preview to
  // use.
  RegisterPreviewClass(TQRQRPPreviewInterface);
end;

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  with TfrmRpt1.Create(Application) do
  begin
    QuickRep1.Preview;
    Application.ProcessMessages;
    Free;
  end;
end;

end.
